FAQ

QA・C/QA・C++

ツール(操作)に関する

ID.18

Q. QAC/QAC++のパーソナリティ構成ファイルはバージョン間での上位互換性および下位互換性がありますか? QA・C 8.1.1J 以下、QA・C++ 3.0J以下

A.


製品のバージョン間で構成の互換性を維持させることに努めています。コンパイラ・パーソナリティおよびアナライザ・パーソナリティのオプションについて は、通常は上位互換性および下位互換性をもちますが、例外として、新規追加された構成エントリにはデフォルト値が想定され、そのエントリはGUIでの 保存時にのみパーソナリティ・ファイルに記録されます。構成オプションが削除されることは滅多になく、パーソナリティの読み取りまたは使用の際に、無関係 な設定はすべて無視されます。
メッセージ・パーソナリティについては、後のリリースで新しいメッセージが追加される点がさらに複雑です。既存のパーソナリティに選択したメッセージを手動でレビューすると共に、後の製品バージョンで追加される新しいメッセージもレビューするのが最も良い方法です。

<< ツール(操作)に関するに関するFAQ一覧へ戻る